#ifndef CENTRALWIDGET_H
#define CENTRALWIDGET_H

#include<QWidget>
#include<QMutex>
#include<QVBoxLayout>
#include<QCloseEvent>
#include"IncThread.h"
#include"DecThread.h"
#include"Controller.h"
#include"Panel.h"

class CentralWidget : public QWidget
{
	Q_OBJECT
	
	public:
		CentralWidget(QWidget *parent=0);
		virtual ~CentralWidget();
	protected:
		virtual void closeEvent(QCloseEvent *event);
	private: 
		QMutex mutex;
		Panel *p1, *p2;
		IncThread *it;
		DecThread *dt;
		Controller *ctrl;
		QVBoxLayout *layout;
};
#endif
