#ifndef CONTROLLER_H
#define CONTROLLER_H

#include<QWidget>
#include<QPushButton>
#include<QCheckBox>
#include<QMutex>
#include<QHBoxLayout>
#include<QTimer>
#include"IncThread.h"
#include"DecThread.h"
#include"Panel.h"

class Controller : public QWidget
{
	Q_OBJECT

	public:
		Controller(Panel *pl1, Panel *pl2, IncThread *it, DecThread *dt, QMutex *mux, QWidget *parent=0);

	private slots:
		void runThreads();
		void changeSynchronization();
		void repaintPanels();

	private:
		volatile bool synchronization;
		QPushButton starter;
		QCheckBox cb, oc;
		IncThread *ith;
		DecThread *dth;
		Panel *p1, *p2;
		QMutex *mutex;
		QHBoxLayout layout;
		QTimer timer;
};
#endif
